Package com.emc.documentum.rest.model

# Class ContentMetaData

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PersistentObject
com.emc.documentum.rest.model.ContentMetaData

All Implemented Interfaces:
  `com.emc.documentum.rest.conditional.Digestible`, `Linkable`

public class ContentMetaData extends PersistentObject
class for primary content and rendition metadata

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_MIME`
  octet-stream media type
  `static final List<String>`
  `INTERNAL_FIELDS`
  Internal fields
  `static final List<String>`
  `MANDATORY_FIELDS`
  Mandatory fields

  ### Fields inherited from class com.emc.documentum.rest.model.PersistentObject

  `id, isLightweight, isMaterialized, isSnapshot, isVirtual, mandatoryAttributes, optionalAttributes, parentId, permissions, properties, reqDigest, type, typeDef, versionPolicy`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentMetaData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addContentLink(String type, String link)`
  Add content link
  `ContentAttribute`
  `composeContentAttribute(String attrName)`
  `boolean`
  `convertDate()`
  Do no convert from date to string
  `List<Integer>`
  `getContentAttrDataType()`
  `List<Date>`
  `getContentAttrDateValue()`
  `List<ContentAttribute>`
  `getContentAttributes()`
  `List<String>`
  `getContentAttrName()`
  `List<Double>`
  `getContentAttrNumValue()`
  `List<String>`
  `getContentAttrStringValue()`
  `Map<String,String>`
  `getContentLinks()`
  Get content links
  `int`
  `getCurrentPage()`
  Get current page
  `String`
  `getCurrentPageModifier()`
  Get current page modifier
  `String`
  `getCurrentParent()`
  Get current parent
  `String`
  `getDosExtension()`
  Get Dos extension
  `String`
  `getEtagString()`
  Get etag string
  `String`
  `getFormatName()`
  Get format name
  `long`
  `getFullContentSize()`
  Get full content size
  `String`
  `getFullFormat()`
  Get full format
  `List<String>`
  `getHrefs()`
  `List<String>`
  `getInternalFields()`
  Get internal attribute names
  `List<String>`
  `getMandatoryFields()`
  Get mandatory attribute names
  `String`
  `getMimeType()`
  Get mime type
  `String`
  `getName()`
  Get resource name
  `List<Integer>`
  `getPage()`
  Get page
  `List<String>`
  `getPageModifier()`
  Get page modifier
  `List<String>`
  `getParent()`
  Get parents' id
  `int`
  `getRendition()`
  Get rendition
  `int`
  `getVersionStamp()`
  Get Version stamp
  `boolean`
  `isRendition()`
  CHeck if the resource is rendition
  `void`
  `setContentAttributes(List<ContentAttribute> contentAttributes)`
  `void`
  `setCurrentParent(String currentParent)`
  Set current parent
  `void`
  `setHrefs(List<String> hrefs)`

  ### Methods inherited from class com.emc.documentum.rest.model.PersistentObject

  `addAttribute, addMandatoryAttribute, addOptionalAttribute, calculatesDigest, geOptionalAttribute, getAttributeByName, getAttributes, getId, getMandatoryAttribute, getOptionalFields, getParentId, getPermissions, getReqDigest, getType, getTypeDef, getVersionPolicy, hasAttribute, hasAttributeValue, hasOptionalAttribute, isLightweight, isMatchedWithReqDigest, isMaterialized, isSnapshot, isVirtualDocument, reInitAttributes, removeAttributeIfExisted, setId, setIsSnapshot, setIsVirtualDocument, setLightweight, setMaterialized, setParentId, setPermissions, setReqDigest, setType, setTypeDef, setVersionPolicy, toString`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_MIME

    public static final String DEFAULT_MIME
    octet-stream media type

  - ### MANDATORY_FIELDS

    public static final List<String> MANDATORY_FIELDS
    Mandatory fields

  - ### INTERNAL_FIELDS

    public static final List<String> INTERNAL_FIELDS
    Internal fields

- ## Constructor Details

  - ### ContentMetaData

    public ContentMetaData()

- ## Method Details

  - ### getMandatoryFields

    public List<String> getMandatoryFields()
    Description copied from class: `PersistentObject`
    Get mandatory attribute names
    Overrides:
      `getMandatoryFields` in class `PersistentObject`
    Returns:
      mandatory fields

  - ### getInternalFields

    public List<String> getInternalFields()
    Description copied from class: `PersistentObject`
    Get internal attribute names
    Overrides:
      `getInternalFields` in class `PersistentObject`
    Returns:
      internal fields

  - ### getName

    public String getName()
    Get resource name
    Returns:
      resource name

  - ### getParent

    public List<String> getParent()
    Get parents' id
    Returns:
      parents' id

  - ### getCurrentParent

    public String getCurrentParent()
    Get current parent
    Returns:
      current parent

  - ### setCurrentParent

    public void setCurrentParent(String currentParent)
    Set current parent
    Parameters:
      `currentParent` - current parent

  - ### getFullContentSize

    public long getFullContentSize()
    Get full content size
    Returns:
      full content size

  - ### getFormatName

    public String getFormatName()
    Get format name
    Returns:
      format name

  - ### getMimeType

    public String getMimeType()
    Get mime type
    Returns:
      mime type

  - ### getDosExtension

    public String getDosExtension()
    Get Dos extension
    Returns:
      Dos extension

  - ### getFullFormat

    public String getFullFormat()
    Get full format
    Returns:
      full format

  - ### getRendition

    public int getRendition()
    Get rendition
    Returns:
      rendition

  - ### getPage

    public List<Integer> getPage()
    Get page
    Returns:
      page

  - ### getCurrentPage

    public int getCurrentPage()
    Get current page
    Returns:
      current page

  - ### getPageModifier

    public List<String> getPageModifier()
    Get page modifier
    Returns:
      page modifier

  - ### getContentAttrName

    public List<String> getContentAttrName()

  - ### getContentAttrDataType

    public List<Integer> getContentAttrDataType()

  - ### getContentAttrStringValue

    public List<String> getContentAttrStringValue()

  - ### getContentAttrNumValue

    public List<Double> getContentAttrNumValue()

  - ### getContentAttrDateValue

    public List<Date> getContentAttrDateValue()

  - ### composeContentAttribute

    public ContentAttribute composeContentAttribute(String attrName)

  - ### getContentAttributes

    public List<ContentAttribute> getContentAttributes()

  - ### setContentAttributes

    public void setContentAttributes(List<ContentAttribute> contentAttributes)

  - ### getCurrentPageModifier

    public String getCurrentPageModifier()
    Get current page modifier
    Returns:
      current page modifier

  - ### isRendition

    public boolean isRendition()
    CHeck if the resource is rendition
    Returns:
      `true` if the resource is rendition

  - ### getVersionStamp

    public int getVersionStamp()
    Get Version stamp
    Returns:
      version stamp

  - ### getEtagString

    public String getEtagString()
    Get etag string
    Returns:
      etag string

  - ### addContentLink

    public void addContentLink(String type, String link)
    Add content link
    Parameters:
      `type` - content link type
      `link` - content link

  - ### getContentLinks

    public Map<String,String> getContentLinks()
    Get content links
    Returns:
      content links

  - ### getHrefs

    public List<String> getHrefs()

  - ### setHrefs

    public void setHrefs(List<String> hrefs)

  - ### convertDate

    public boolean convertDate()
    Do no convert from date to string
    Overrides:
      `convertDate` in class `PersistentObject`
    Returns:
      convert date